close all
clear all
clc

dir_txt = '../data/'

%lettura immagine
[X MAP] = imread([dir_txt 'moto.jpg'],'jpg');
X_orig = rgb2gray(X);
X = X_orig;

%verifica il formato dell'array
size(X)

%mostra l'immagine
figure(1)
subplot(3,3,1)
imshow(X,[])

% Dal corso prof. Luisa Verdoliva - 2017/2018 - http://wpage.unina.it/verdoliv/esm/
[M,N]=size(X);
bitplane = zeros(M,N,8); % matrice 3D
i = 8; % Inizializzazione
while (i>0),
  % Il bitplane conterrà 1 se il valore del pixel è maggiore di 2^(i-1)-1
  bitplane(:,:,i) = (X > 2^(i-1) - 1);

  figure(1)
  subplot(3,3,9-i+1)
  imshow(bitplane(:,:,i),[]);
  title(['Bitplane ' num2str(i)]);

  i = i-1;

  % La nuova X conterrà il resto della differenza con 2^i
  X = rem(X, 2^i);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%555

n = input('Ultimo bitplane da usare: ');
b = 8;
y = zeros(M,N);

str_i = []
for i = b:-1:n,
  %bitplane(:,:,i) = rem(floor(x/2^(i-1)),2);
  y = y + 2^(i-1) * bitplane(:,:,i);
  str_i = [str_i ' ' num2str(i)]
end

figure(2)
imshow(y,[]);
title(['Rappresentazione con bitplane' str_i]);
