close all
clear all
clc

dir_txt = '../data/'

%lettura immagine
[X MAP] = imread([dir_txt 'moto.jpg'],'jpg');
X_orig = rgb2gray(X);
X = X_orig;

X = double(X)/255;

%verifica il formato dell'array
size(X)

%mostra l'immagine
figure(1)
subplot(2,2,1)
imshow(X,[])

F = fft2(X);
%mostra l'immagine
subplot(2,2,2)
imshow(abs(F),[])
title('FFT')

Fc = fftshift(F);
subplot(2,2,3)
imshow(abs(Fc),[])
title('fftshift')

S2 = log(1 + abs(Fc));
subplot(2,2,4)
imshow(S2,[])
title('rescale')

phi = angle(F);
%mostra l'immagine
figure(2)
imshow(phi,[])
title('phase')

