close all
clear all
clc

dir_txt = '../data/'

%lettura immagine
[X MAP] = imread([dir_txt 'moto.jpg'],'jpg');
X_orig = rgb2gray(X);
X = X_orig;

X = double(X)/255;

%verifica il formato dell'array
size(X)

%mostra l'immagine
figure(1)
%subplot(1,3,1)
%imshow(X,[])
B = fspecial('sobel')
dxX = filter2(B, X, 'same');
dyX = filter2(B', X, 'same');

subplot(1,3,1)
imshow(abs(dxX),[])
title('Dx')

subplot(1,3,2)
imshow(abs(dyX),[])
title('Dy')

G = (dxX .* dxX + dyX .* dyX).^(0.5);
subplot(1,3,3)
imshow(G,[])
title('Gradient')

figure(2)
G1 = imgradient(X,'sobel');
imshow(G1,[])
max(G1(:)-G(:))

figure(3)
newB = (B.^2 + (B').^2).^(0.5)
G2 = filter2(newB, X, 'same');
imshow(G2,[])
max(G1(:)-G2(:))
