close all
clear all
clc

dir_txt = '../data/'

%lettura immagine
[X MAP] = imread([dir_txt 'moto.jpg'],'jpg');

X = rgb2gray(X);
XN = double(X) / 255;

%verifica il formato dell'array
size(X)

%mostra l'immagine
figure(2)
subplot(3,2,1)
imshow(XN)

% calcola l'istogramma sugli Nbin bins
Nbin = 50;
[H1 x] = hist(XN(:), Nbin);
subplot(3,2,2)
bar(x,H1)
xlim([0,1]);

% equalizzazione istogramma
Y = histeq(XN, 255);
subplot(3,2,3)
imshow(Y)
title('Histogram Equalization')

% calcola l'istogramma sugli Nbin bins
Nbin = 50;
[H1 x] = hist(Y(:), Nbin);
subplot(3,2,4)
bar(x,H1)
xlim([0,1]);
