function Y = mygamma(X, xmin, xmax, ymin, ymax, gamma)
  [N M] = size(X)
  Y = X;
  for i =1:N
    for j=1:M
      if (X(i,j) <= xmin)
        Y(i,j) = ymin;
      else if (X(i,j) >= xmax)
        Y(i,j) = ymax;
      else
        Y(i,j) = ymin + (ymax - ymin) * ((X(i,j)-xmin)/(xmax-xmin)).^gamma;
      end
    end
  end
end
