close all
clear all
clc

dir_txt = '../data/'

%lettura immagine
[X MAP] = imread([dir_txt 'moto.jpg'],'jpg');
X_orig = rgb2gray(X);
X = X_orig;

X = double(X)/255;

%verifica il formato dell'array
size(X)

%mostra l'immagine
figure(1)
subplot(2,2,1)
imshow(X,[])

B = fspecial('laplacian', 0)
title_str = 'Laplacian'

Y = filter2(B, X, 'same');

figure(1)
subplot(2,2,2)
imshow(Y,[])
title(title_str)

Z = X - Y;

figure(1)
subplot(2,2,3)
imshow(Z,[])
title('sharpening')

