close all
clear all
clc

dir_txt = '../data/'

%lettura immagine
[X MAP] = imread([dir_txt 'moto.jpg'],'jpg');
X_orig = rgb2gray(X);
X = X_orig;

X = double(X)/255;

%verifica il formato dell'array
size(X)

%mostra l'immagine
figure(1)
subplot(1,2,1)
imshow(X,[])

% box per media mobile
filter_type = 5
D = 5
if (filter_type == 1)
  B = 1/D^2 * ones(D,D)
  title_str = ['Average D=' num2str(D)]
elseif (filter_type == 2)
  %B = 1/20 * diag(ones(1,10))
  B = 1/20 * fliplr(diag(ones(1,10)))
  title_str = 'Diag'
elseif (filter_type == 3)
  B = fspecial('sobel')
  title_str = 'Sobel'
  disp(B)
elseif (filter_type == 4)
  B = fspecial('laplacian', 0)
  title_str = 'Laplacian'
elseif (filter_type == 5)
  B = fspecial('unsharp',0.8)
  title_str = 'Unsharp'
end

Y = filter2(B, X, 'same');

figure(1)
subplot(1,2,2)
imshow(Y,[])
title(title_str)


