close all
clear all
clc

dir_txt = '../data/'

%lettura immagine
[X MAP] = imread([dir_txt 'moto.jpg'],'jpg');
X_orig = rgb2gray(X);
X = X_orig;

X = double(X)/255;

%verifica il formato dell'array
size(X)

%mostra l'immagine
figure(1)
subplot(2,2,1)
imshow(X,[])

F = fft2(X);
%mostra l'immagine
figure(1)
subplot(2,2,2)
imshow(abs(F),[])
title('FFT')

Fc = fftshift(F);
figure(1)
subplot(2,2,3)
imshow(abs(Fc),[])
title('fftshift')

S2 = log(1 + abs(Fc));
figure(1)
subplot(2,2,4)
imshow(S2,[])
title('rescale')

% box per media mobile
filter_type = 3
D = 5
B = 1/D^2 * ones(D,D)
B = double(B)
title_str = ['Average D=' num2str(D)]
FB = fft2(B, size(X, 1), size(X, 2));

%mostra l'immagine
figure(2)
subplot(2,2,1)
imshow(B,[])

subplot(2,2,2)
imshow(abs(FB),[])
title('FFT Filter')

FBc = fftshift(FB);
subplot(2,2,3)
imshow(abs(FBc),[])
title('fftshift Filter')

SB2 = log(1 + abs(FBc));
subplot(2,2,4)
imshow(SB2,[])
title('rescale Filter')


FY = FB .* F;
Y = ifft2(FY);

figure(3)
subplot(1,2,1)
imshow(X,[])
subplot(1,2,2)
imshow(Y,[])

